module RenderHelper

  def render_flash_messages
    render 'shared/messages'
  end

  def error_messages_for(resource)
    render partial: 'shared/form/error_messages', locals: { resource: resource }
  end

  def datepicker_field_for(form, field)
    render 'shared/datepicker_field', f: form, field: field
  end

  def search_form(url)
    render 'shared/search_form', url: url
  end

end
