<% if namespaced? -%>
require_dependency "<%= namespaced_path %>/application_controller"
<% end -%>
<% module_namespacing do -%>
class <%= controller_class_name %>Controller < BaseController
  # This is a Jabysoft controller
  
  # This method allows you to add associations using Model.includes(:object) to the main query on index action.
  # def included_attributes
  #  :school
  # end

  # This method allows you to obtain dependencies and make them available in the controller.
  # It is called 'before_action :load, except: [:index, :destroy]'
  # def load
  #  @list = Model.all
  # end
  
  # Only allow a trusted parameter "white list" through.
  def permit_params
    <%- if attributes_names.empty? -%>
    params.fetch(:<%= singular_table_name %>, {})
    <%- else -%>
    params.require(:<%= singular_table_name %>).permit(<%= attributes_names.map { |name| ":#{name}" }.join(', ') %>)
    <%- end -%>
  end
end
<% end -%>
